> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/appendixes/appendix-obsolete/recovery-config.md).

# O.1. recovery.conf 檔案已併入 postgresql.conf \#

PostgreSQL 11 及更早版本使用名為 `recovery.conf` 的設定檔管理複本與待命伺服器。PostgreSQL 12 已移除對此檔案的支援。關於此變更的詳細資訊，請參閱 [PostgreSQL 12 的發行說明](/appendixes/release/release-prior.md)。

在 PostgreSQL 12 及以上版本中， [歸檔復原、串流複寫與 PITR](/server-administration/backup/continuous-archiving.md) 使用 [一般伺服器設定參數](/server-administration/runtime-config/runtime-config-replication.md#RUNTIME-CONFIG-REPLICATION-STANDBY)進行設定。 如同其他參數，這些參數可在 `postgresql.conf` 中設定，或透過 [ALTER SYSTEM](/reference/sql-commands/sql-altersystem.md)設定。

若存在 `recovery.conf`，伺服器將無法啟動。

PostgreSQL 15 及更早版本具有 `promote_trigger_file` 設定；在 PostgreSQL 12 之前，該設定名稱為 `trigger_file`。 請改用 `pg_ctl promote` 或呼叫 `pg_promote()` 來提升待命伺服器。

已移除 `standby_mode`設定。現在改用資料目錄中的 `standby.signal` 檔案。詳細資訊請參閱[待命伺服器運作](/server-administration/high-availability/warm-standby.md#STANDBY-SERVER-OPERATION)。

***

原文：[PostgreSQL 18.6 Documentation](https://www.postgresql.org/docs/18/recovery-config.html)（原文版本：18.6；核對日期：2026-09-06）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.postgresql.tw/appendixes/appendix-obsolete/recovery-config.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
